API ReferenceUser
Create contact person
Create contact person
Authorization
apiKey Authorization<token>
Value for the Authorization header parameter.
In: header
Query Parameters
exists[ssoProvider]?boolean
User exists[ssoProvider]
ssoProviderIds?array<>
User ssoProviderIds
The new User resource
TypeScript Definitions
Use the request body type in TypeScript.
email?|
Format
emailLength
length <= 100firstName*string
Length
length <= 50lastName*string
Length
length <= 50phoneNumber?|
Format
phoneNumberLength
length <= 20jobPosition?|
Format
uuiddepartments*array<>
canLogIn*boolean
Default
falsecontractor*string
Format
uuidroleSets?array<>|null
hourlyRate*number
Format
floatDefault
0Response Body
curl -X POST "https://example.com/user/create-external" \ -H "Content-Type: application/json" \ -d '{ "firstName": "string", "lastName": "string", "departments": [ "600b44dd-48ce-4114-81e6-8fff7070c041" ], "canLogIn": false, "contractor": "d84a0339-1f2e-4494-ad94-4a42561293a6", "hourlyRate": 0 }'{ "status": "active", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e", "contactInfo": [ { "type": "string", "value": "string", "isDefault": true } ], "canChangeEmail": true, "hourlyRate": null, "decorator": "string", "roleSets": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "shortCode": "string", "name": "string", "roles": [ "Check allowed_roles.yaml" ] } ], "tasksPerWorkDay": 0, "id": "string", "firstName": "string", "lastName": "string", "email": "string", "jobPosition": "string", "jobPositionName": "string", "contractorName": "string", "contractorId": "string", "pictureSm": "string", "pictureLg": "string", "phoneNumber": "string", "canLogIn": true, "allowApiTokenAuthentication": true, "isExternal": true, "canManage": true, "isUsingMobile": true, "lastActivity": "string", "lastActivityMobile": "string", "shortCode": "string", "hoursPerWorkDay": 0, "userDepartments": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "isLeader": true, "department": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string" } } ]}